<div class="container-fluid h-100">
  <div class="row h-100">
    <div class="col-lg-2 col-md-3 col-sm-12 barra_lateral h-100">
      <ul class="nav flex-column h-100">
        <li class="nav-item text-center">
          <a routerLink="/home" id="musify_link">
            <i class="fas fa-music"></i>
            <h1>{{title}}</h1>
          </a>
        </li>
        <div class="user_panel">
          <li class="nav-item" *ngIf="!identity">
            <a class="nav-link active" routerLink="/login" routerLinkActive="active_link"><i
                class="fas fa-sign-in-alt"></i> Identíficate</a>
          </li>
          <li class="nav-item" *ngIf="identity && identity.name">
            <h5 class="text-center">{{identity.name + ' ' + identity.surname }}</h5>
            <div *ngIf="identity.image && identity.image!=null" class="text-center">
              <img src="{{url +'user/get-image-user/'+ identity.image }}" class="avatar_user">
            </div>
          </li>
          <li class="nav-item" *ngIf="!identity">
            <a class="nav-link" routerLink="/register" routerLinkActive="active_link"><i class="fas fa-pen"></i>
              Regístrate</a>
          </li>
          <li class="nav-item" *ngIf="identity && identity.name">
            <a class="nav-link" routerLink="/user-edit" routerLinkActive="active_link"> <i class="fas fa-user-cog"></i>
              Mis datos</a>
          </li>
          <li class="nav-item" *ngIf="identity && identity.name">
            <a class="nav-link logout_link" (click)="logout()">
              <i class="fas fa-sign-out-alt"></i> Cerrar sesión</a>
          </li>
        </div>
        <div *ngIf="identity && identity.name">
          <li class="nav-item">
              <form #searchForm="ngForm" (ngSubmit)="onSubmitSearch(searchForm)" class="form-inline">
                <input type="search" placeholder="Buscar" class="form-control col-6 col-md-6 col-lg-8" name="search" [(ngModel)]="searchString">
                <button type="submit" class="btn btn-outline-success my-2 ml-1"><i class="fas fa-search"></i></button>
              </form>
          </li>
          <li class="nav-item">
            <a class="nav-link" routerLink="/artists" routerLinkActive="active_link"><i class="fas fa-star"></i>
              Artistas</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" routerLink="/albums" routerLinkActive="active_link"><i class="fas fa-compact-disc"></i> Álbums</a>
          </li>
        </div>
      </ul>
    </div>
    <div class="col-lg-10 offset-lg-2 col-md-9 offset-md-3 col-sm-12">
      <router-outlet></router-outlet>
      <div class="div-bottom"></div>
      <app-player class="player"></app-player>
    </div>
  </div>
</div>